# Copyright (C) 2020 VMware, Inc. All rights reserved.
# -- VMware Confidential

profile = data_store['profile']
error_status = data_store['metrics']['nsx.auditlog.auditlog-health-for-local-error-status']

if error_status:
    Alarm(status={1: {data_store['host_id']: (error_status['value'], None)}},
        feature="audit_log_health",
        event_type = 'audit_log_file_update_error')
else:
    logger.info('No nsx.auditlog.auditlog-health-for-local-error-status metric: {}'.format(data_store['metrics']))